# Copyright 2022-present Lenovo
# Confidential and Proprietary

import argparse

import PyInstaller.__main__


def packge_module(params):
    PyInstaller.__main__.run([
        '-F',
        f'{params.main}',
        '-p', f'{params.path}',
        '-n', f'{params.name}',
        '--distpath', f'{params.dist}',
    ])


if __name__ == '__main__':
    parser = argparse.ArgumentParser(description='pack ai-scripts.')
    parser.add_argument('-n', '--name', help='exec filename', required=True)
    parser.add_argument('-m', '--main', help="main program", required=True)
    parser.add_argument('-p', '--path', help="program path", required=True)
    parser.add_argument('-d', '--dist', help="dist path", required=True)
    args = parser.parse_args()
    packge_module(args)
